/*
.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}*/


/* ------------ Welcome page, Login, Registration -------------- */
.welcome{
  background:url('./images/background.jpg');
  background-size:cover;
  background-attachment: fixed;
  color:  white;
  height: 100vh;
  text-align: center;
  background-color: #E9C891;
}


.companyName{
  border-top-color: white;
  border-top-style:  solid;
  border-bottom-color: white;
  border-bottom-style:  solid;
  font-weight: bold;
  font-size: 5rem;
}

.loginMargin{
  margin-left: 10rem;
}

.loginRow{
  height: 80%;
}

.loginLabel{
  border-top-color: white;
  border-top-style:  solid;
  border-bottom-color: white;
  border-bottom-style:  solid;
  /*margin-bottom:  2rem;*/
  font-weight:bold;
}

.login{
  background: none;
  font-weight: bold;
  color: white!important;
  border-width: 2.5px;
  border-color:  white;
}

.loginFailed{
  border-color:  red;
  color:  red;
}

.loginFailed:hover::placeholder{
  color: lightgray!important;
}

.login:focus{
  box-shadow: none;
  border-color: #E9C891;
  color: black!important;
}

.login:hover{
  background: ghostwhite;
  border-color: #E9C891;
  color: dimgray!important;
}

.login:hover::placeholder{
  color: lightgray;
}

.login:blur{
  color: lightgray;
}

.login:active{
  color: black!important;
}

.login::placeholder{
  color: white;
}

.logo{
  border-top-color: white;
  border-top-style:  solid;
  border-bottom-color: white;
  border-bottom-style:  solid;
  font-weight: bold;
  color:  white!important;
  font-size: 14px;
}

#loginLink{
  color: #E9C891;
  font-weight: bold;
}

.mainButton{
  font-weight:  bold;
}

/* ------------- Navigation Bar ------------------- */
#basic-navbar-nav{
  display: flex;
  justify-contend: flex-end!important;
}

.navbar{
  background-color: #C36A2D;
  color: #E9C891;
  justify-content: flex-end!important;
}

.navText{
  color: #E9C891!important;
}

.navText:hover{
  color: white!important;
}

#basic-nav-dropdown + .dropdown-menu{
  background-color: #C36A2D;
}

#basic-nav-dropdown + .dropdown-menu .dropdown-item:hover{
  background-color: #E2C275;
}

.navbarImg{
  width: 25px;
}

.navbarImg:hover{
  opacity: 50%;
}

.navbarImg2{
  width: 50px;
}

.navbarImg2:hover{
  opacity: 50%;
}

.navbar-light .navbar-nav .nav-link{
  color: #E9C891!important;
}
/* ------------- Product Card ---------------------- */
.productCard{
  background:  rgba(0, 0, 0, 0.5);
  width: 25rem;
  height: 8rem;
  padding: 2%;
}

.productCard:hover{
  background: rgba(255, 255, 255, 0.5);
  color: black;
  text-decoration: none;
}

.productCard a:hover{
  text-decoration:  none;
  color: black;
}

.productText{
  color: white;
  font-weight: bold;
  text-align: left;
}

.productText:hover{
  color: black;
  font-weight: bold;
  text-align: left;
}
/*--------------Side Bar--------------------*/
.sideColumn{
  background-color: #E2C275;
  /*background-color: rgba(226, 194, 117, 0.7);*/
  height: 100vh;
  margin-left: 0;
  /*opacity: 0.7;*/
/*  background-size:cover;
  background-attachment: fixed;*/
  
}

.hrCustomization{
  height: 10px;
  color: white;
  border-color: white;
  border-top-style: solid;
  border-width:  3px;
}

.sideLink{
  color: #C36A2D;
  /*font-weight: bold;*/
  font-size: 1.3rem;
}

.sideLink:hover{
  color: white;
}

/*---------- Image Sizes------------*/

.w-40{
  width: 40%!important;
}

.w-30{
  width: 30%!important;
}

/*---------- Product Page ----------*/

.productDescription{
    background:  rgba(0, 0, 0, 0.7);
    height: 80vh;
    text-align: left;
}

/*--------- Admin Page -------------*/
.adminPage{
    background:url('./images/background2.jpg');
    background-size:cover;
    background-attachment: fixed;
    color:  white;
    height: 100vh;
    text-align: center;
    background-color: #E9C891;
}

.blackOpaque{
  background:  rgba(0, 0, 0, 0.7)!important;
  color: white;
}

.whiteOpaque{
  background: rgba(255, 255, 255, 0.7)!important;
  color: black;
}

/* ------ Override existing css ------------ */
.fullWidth, .dropdown-toggle, .dropdown-menu{
  width: 100%;
}

.dropdown{
  width:  100%;
  padding: 0;  
}

.btn-block{
  border: 2px solid;
  border-radius: 5%;
}

.fluid{
  width: 100%;
  height: 100%;
}

/*--------- CART ------------*/

.cartQty{
  width: 13%;
}

.cartNumberField::-webkit-outer-spin-button,
.cartNumberField::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
    text-align: center;
}

.login:disabled{
  color: darkgrey!important;
}

.cartFont{
  font-size: 16px;
}

.no-wrap{
  white-space: nowrap;
}

/* ---- Table Formatting ---- */
.tableBtn{
  background-color: #C36A2D ;
  color: #EADCA6;
  border-color: #C36A2D ;
}

.tableBtn:hover{
  background-color: #EADCA6 ;
  color: #C36A2D  ;
  border-color: #EADCA6 ;
}

.tableBtn:focus{
  background: #E2C275;
  border-color: #EADCA6;
}

.tableBtn:active{
  background: #E2C275;
  border-color: #EADCA6;
}

td a{
  color: #C36A2D;
  font-weight: bold;
}

td a:hover{
  color: black;
  text-decoration: none;
}

.tableHeader{
  background: rgba(195, 106, 45, 0.7);
}

.tableBackground{
  background: rgba(234, 220, 166, 0.7);
}

.tableTotal{
  color: white;
}

.pagination{
  font-weight: bold;
  list-style-type: none;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1.3rem;
}

.pages{
  background: #C36A2D;
  color: #E2C275;
}

.disabledPageLink{
  background: lightgray;
  color: darkgrey;
}